module.exports = {
  filenameHashing: false,
  outputDir: "../wwwroot",
  chainWebpack: config => {
    config.optimization.delete("splitChunks");
  },
  configureWebpack: {
    output: {
      filename: "app.js"
    }
  },
  pluginOptions: {
    i18n: {
      locale: "en",
      fallbackLocale: "en",
      localeDir: "locales",
      enableInSFC: false
    }
  },

  css: {
    extract: {
      filename: "app.css"
    },
    loaderOptions: {
      scss: {
        prependData: process.env.VUE_APP_IMAGES_PATH
          ? "$image-base-path: '" +
            JSON.stringify(process.env.VUE_APP_IMAGES_PATH) +
            "';"
          : ""
      }
    }
  }
};
